//
//  LivePusherEvent.h
//  livepush
//
//  Created by ISS013602000846 on 2023/2/20.
//

#import <Flutter/Flutter.h>
#import <AlivcLivePusher/AlivcLivePusherHeader.h>
#import "LivePusherTool.h"

NS_ASSUME_NONNULL_BEGIN

@interface LivePusherEvent : NSObject<AlivcLivePusherErrorDelegate, AlivcLivePusherInfoDelegate, AlivcLivePusherNetworkDelegate, AlivcLivePusherCustomFilterDelegate, AlivcLivePusherCustomDetectorDelegate, AlivcLivePusherBGMDelegate, AlivcLivePusherAudioSampleDelegate, AlivcLivePusherSnapshotDelegate>

@property (nonatomic, copy) FlutterEventSink eventSink;

// snapshot
@property (nonatomic, copy) NSDictionary *snapshotSaveDir;

@property (nonatomic, strong) NSObject *beautyFactory;


@end

NS_ASSUME_NONNULL_END
